import { IMessage } from '../interface/IMessage';
export interface IMessageInstance {
    send(msg: string): Promise<string>;
    get(url: string, options: string): Promise<any>;
    post(url: string, options: string, data: any): Promise<any>;
}
export declare class NetService {
    private get messageService();
    send(msg: IMessage): Promise<any>;
    get(url: string, options: {
        headers: {
            [header: string]: string;
        };
        params?: {
            [param: string]: string;
        };
    }): Promise<any>;
    post(url: string, options: {
        headers: {
            [header: string]: string;
        };
        params?: {
            [param: string]: string;
        };
    }, data?: any): Promise<any>;
    isJSON(str: string): boolean | undefined;
}
